# $Revision: 1.8 $, $Date: 2002/06/27 09:54:30 $
Summary:	Conference module for Jabber
Summary(pl):	Modu konferencyjny systemu Jabber
Name:		jabber-conference
Version:	0.4.1
Release:	1
License:	distributable
Group:		Applications/Communications
Source0:	http://download.jabber.org/dists/1.4/final/conference-%{version}.tar.gz
Source1:	conference.xml
Patch0:		%{name}-Makefile.patch
URL:		http://www.jabber.org/
BuildRequires:	jabber-devel
%requires_eq  	jabber
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the conferencing/groupchat service for the Jabber server.

%description -l pl
To jest modu konferencji/grupowych czatw dla serwera Jabber.

%prep
%setup -qn conference-%{version}
%patch0 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/jabberd,%{_sysconfdir}/jabberd}

install conference.so $RPM_BUILD_ROOT%{_libdir}/jabberd
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/jabberd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -r /var/lock/subsys/jabberd ]; then
	if [ -r /var/lock/subsys/jabber-conference ]; then
        	/etc/rc.d/init.d/jabberd restart conference >&2
	else
        	echo "Run \"/etc/rc.d/init.d/jabberd start conference\" to start Jabber conference service."
	fi
else
        echo "Run \"/etc/rc.d/init.d/jabberd start\" to start Jabber server."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/jabber-conference ]; then
		/etc/rc.d/init.d/jabberd stop conference >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/jabberd/*
%attr(640,root,jabber) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/jabberd/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: jabber-conference.spec,v $
Revision 1.8  2002/06/27 09:54:30  kloczek
- use new %doc and few cleanups.

Revision 1.7  2002/04/25 16:38:03  arturs
fixed a small typo

Revision 1.6  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/09 15:30:16  jajcus
- %%requires_eq jabber

Revision 1.3  2002/02/08 16:05:07  jajcus
- updates for new jabber.spec

Revision 1.2  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/12/27 07:43:11  jajcus
- Jabber conference/groupchat module
